using Core.Abstractions.DomainObjects;
using Core.DomainObjects.L10n;
using Core.Enumerations;

namespace Core.DomainObjects {



  public class MediaAttachment : DomainObjectBase<MediaAttachment> {
    public string Src { get; set; }

    public MediaTypes MediaType { get; set; }
    public List<MediaAttachmentL10n> L10n { get; set; }

    public override int GetHashCode() {
      int hash = 17;
      hash = hash * 23 + Src.GetHashCode();
      hash = hash * 23 + L10n.GetHashCode();
      return hash;
    }
  }
}
